% ENM 6.1
% Denna kod skrevs på övningen 2017-09-29 i SF1514/18/19

clear

h = 0.125; % steglängd
x = [0:h:1];
B = [2.6 2.08 1.72 1.45 1.26 1.13 1.04 0.97 0.92]; % tabellvärden

% Trapetsregeln
Th = (h/2)*(B(1)+B(end)) + h*sum(B(2:end-1))

% Hur stort är felet?
% Testa att dubbla steglängden
x = x(1:2:end); B = B(1:2:end); % vartannat element
h = 2*h;
T2h = (h/2)*(B(1)+B(end)) + h*sum(B(2:end-1))

% Gör Richardsonextrapolation!
S = (4*Th - T2h)/3

% Räkna ut skillnaden!
fel = abs(S - Th)
% Detta är en uppskattning av felet i själva integreringen.
% Det finns ju också ett fel från att indata är avrundade, vi
% visade på övningen att det felet är 0.005. Felen kan adderas:
totfel = fel + 0.005
